# SoTransformVec3f Class Reference
[Engine classes]

`#include <Inventor/engines/SoTransformVec3f.h>`

Inheritance diagram for SoTransformVec3f:

List of all members.

## Detailed Description

The SoTransformVec3f class transforms 3D vectors by a matrix.

## Public Member Functions

| SoTransformVec3f (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFVec3f | vector
SoMFMatrix | matrix
SoEngineOutput | point
SoEngineOutput | direction
SoEngineOutput | normalDirection

## Protected Member Functions

virtual | ~SoTransformVec3f ()

## Constructor & Destructor Documentation

SoTransformVec3f::SoTransformVec3f | ( | void |  | ) |

| Default constructor.

SoTransformVec3f::~SoTransformVec3f | ( |  | ) | `[protected, virtual]`

| Destructor is protected because explicit destruction of engines is not allowed.

## Member Function Documentation

void SoTransformVec3f::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

## Member Data Documentation

SoMFVec3f SoTransformVec3f::vector

| Set of 3D vector inputs to transform.

SoMFMatrix SoTransformVec3f::matrix

| Set of transformation matrices to use on the vectors.

SoEngineOutput SoTransformVec3f::point

| (SoMFVec3f) Transformed points.

SoEngineOutput SoTransformVec3f::direction

| (SoMFVec3f) Transformed vector directions.

SoEngineOutput SoTransformVec3f::normalDirection

| (SoMFVec3f) Normalized transformed vector directions.

The documentation for this class was generated from the following files:

- SoTransformVec3f.h
- SoTransformVec3f.cpp